import PropTypes from 'prop-types';
import React from 'react';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const DateTimePicker: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        selectedDate: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
};
export default DateTimePicker;
